[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TNotebook.Destroy

Destructor for the class instance.

## Declaration

Source position: extctrls.pp line 137

`public destructor TNotebook.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. Destroy ensures that resources allocated to the internal page list are freed. Destroy calls the inherited destructor prior to exiting from the method.